- [README](README.md)
- [Setup](docs/setup.md)
- [Quickstart](notebooks/quickstart.ipynb)
- Tutorials
    - Beginner
        - [Introduction](docs/introduction.md)
        - [Discovery](docs/discovery.md)
    - Intermediate
        - [Image segmentation](notebooks/imagesegmentation.ipynb)
        - [Keypoint regression](notebooks/keypointregression.ipynb)
        - [Tabular classification](notebooks/tabularclassification.ipynb)
        - [Data containers](docs/data_containers.md)
        - [Saving and loading models](notebooks/serialization.ipynb)
    - Advanced
        - [Presizing vision datasets](notebooks/presizing.ipynb)
        - [Unsupervised learning](notebooks/vae.ipynb)
        - [Custom Learning tasks](docs/learning_tasks.md)
- How To
    - [Train your model](notebooks/training.ipynb)
    - [Augment vision data](docs/howto/augmentvision.md)
    - [Log to TensorBoard](docs/howto/logtensorboard.md)
- Reference
    - [Docstrings](REFERENCE)
    - [fastai API comparison](docs/fastai_api_comparison.md)
    - [Extension APIs](docs/interfaces.md)
    - [Glossary](docs/glossary.md)
- Background
    - [Blocks and encodings](docs/background/blocksencodings.md)
    - [Performant data pipelines](docs/background/datapipelines.md)